/***************************************************************************
                          mycatalogdlg.h  -  description
                             -------------------
    begin                : Wed Feb 4 2004
    copyright            : (C) 2004 by Harald Krippel
    email                : neuro.harald@surfeu.at
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <qlistview.h>
#include <catalogdlg.h>
#include <listviews.h>
#include <qdir.h>

 class MyCatalogEditDlg : public CatalogEditDlg
{
    Q_OBJECT

public:
    MyCatalogEditDlg( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    QString getfile();
    QString getpath();
    void    fillcombo();
    void    fillicon();

    ~MyCatalogEditDlg();


public slots:
    virtual void slotGetData(FolderListItem *i);
    virtual void slotEditData();
    virtual void slotGetCatPath();
    virtual void slotGetCombo();


protected:
    QDir    tmpdir;
    QString tmppath;
    QString path;
    QString file;
    int state;
};
